local L = LibStub("AceLocale-3.0"):GetLocale("NeedjaTracker", true)

NTGuiMainClass = {}

function NTGuiMainClass:Create(...)
    local ret = CloneTable(NTGuiMainClass)
    if ret.Initialize then
        ret:Initialize(...)
    end
    return ret
end

function NTGuiMainClass:Initialize(parent, watch)
    self.parent = parent
    self.watch = watch

    LibStub("AceEvent-3.0"):Embed(self)

    self:RegisterMessage("NT_UPDATE_STATISTICS", "EventUpdateStatistics")
    self:RegisterMessage("NT_UPDATE_HISTORY", "EventUpdateHistory")
end

function NTGuiMainClass:EventUpdateStatistics()
end

function NTGuiMainClass:EventUpdateHistory()
end
