local L = LibStub("AceLocale-3.0"):GetLocale("NeedjaTracker", true)

NeedjaTracker.defaults = {
}

NeedjaTracker.options = {
    type = "group",
    args = {
        enable = {
        type = "toggle",
            name = L.cfg_enable,
            order = 1,
            width = "full",
        },
        auto_show = {
            type = "toggle",
            name = L.cfg_auto_show,
            order = 2,
            width = "full",
        },
        chat_options = {
            type = "header",
            name = L.cfg_chat_options,
            order = 3,
        },
        spam_filter = {
            type = "toggle",
            name = L.cfg_spam_filter,
            order = 4,
            width = "full",
        },
        need_warnings = {
            type = "group",
            name = L.cfg_need_warnings,
            order = 5,
            inline = true,
            args = {
                in_party = {
                    type = "select",
                    name = L.cfg_in_party,
                    order = 1,
                    values = { L.cfg_never, L.cfg_only_leader, L.cfg_always },
                },
                in_lfg_party = {
                    type = "select",
                    name = L.cfg_in_lfg_party,
                    order = 2,
                    values = { L.cfg_never, L.cfg_only_leader, L.cfg_always },
                },
                in_raid = {
                    type = "select",
                    name = L.cfg_in_raid,
                    order = 3,
                    values = { L.cfg_never, L.cfg_only_leader, L.cfg_always },
                },
            },
        },
    },
}
